<?
require_once '../core/system.php';
echo only_reg();
$header = 'Поиск клана';
require_once '../core/head.php';
$error = NULL;
if(isset($_POST['name'])) {
    $name = mysql_real_escape_string($_POST['name']);
    $row = mysql_fetch_assoc(mysql_query("SELECT id FROM clans WHERE name = '$name'"));
    if(!empty($row['id'])) {
        header("Location: /clan/clan.php?id=$row[id]");
        exit();
    } else {
        $error = 'Ошибка, клан с таким именем не существует';
    }
}

if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}

echo '<div class="block_zero">
<form action="" method="post">
Название клана:<br />
<input class="text medium-text" type="text" name="name" /><br/>
<span class="btn"><span class="end">
<input class="label" type="submit" value="Поиск">Поиск</span></span>
</form>
</div>
<div class="dot-line"></div>
<div class="menuList">
<li><a href="/clan/clanrating.php"><img src="/images/icon/clan.png" alt=""/>Список кланов</a></li>
</div>
';
include '../core/foot.php';